## org.apache.xalan.serialize
Class SerializerFactory

    java.lang.Object
      |
      +--org.apache.xalan.serialize.SerializerFactory

Deprecated. The new class to use is org.apache.xml.serializer.SerializerFactory

public abstract class SerializerFactory
extends java.lang.Object

Factory for creating serializers.

Method Summary
`static Serializer` `getSerializer(java.util.Properties format)` Deprecated. Use org.apache.xml.serializer.SerializerFactory

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSerializer

    public static Serializer getSerializer(java.util.Properties format)

  Deprecated. Use org.apache.xml.serializer.SerializerFactory
  Returns a serializer for the specified output method. Returns null if no implementation exists that supports the specified output method. For a list of the default output methods see `Method`.
  Parameters:
    `format` - The output format
  Returns:
    A suitable serializer, or null
  Throws:
    java.lang.IllegalArgumentException - (apparently -sc) if method is null or an appropriate serializer can't be found
    WrappedRuntimeException - (apparently -sc) if an exception is thrown while trying to find serializer

Copyright © 2006 Apache XML Project. All Rights Reserved.